|  | Home · All Classes · Modules

# QWebDatabase Class Reference
[QtWebKit module]

The QWebDatabase class provides access to HTML 5 databases created with JavaScript. More...

### Methods

- __init__ (self, QWebDatabase other)
- QString displayName (self)
- long expectedSize (self)
- QString fileName (self)
- QString name (self)
- QWebSecurityOrigin origin (self)
- long size (self)

### Static Methods

- removeDatabase (QWebDatabase db)

## Detailed Description

The QWebDatabase class provides access to HTML 5 databases created with JavaScript.

The upcoming HTML 5 standard includes support for SQL databases that web sites can create and access on a local computer through JavaScript. QWebDatabase is the C++ interface to these databases.

For more information refer to the HTML 5 Draft Standard.

See also QWebSecurityOrigin.

## Method Documentation

### QWebDatabase.__init__ (self, QWebDatabase other)

Constructs a web database from other.

### QString QWebDatabase.displayName (self)

Returns the name of the database as seen by the user.

### long QWebDatabase.expectedSize (self)

Returns the expected size of the database in bytes as defined by the web author.

### QString QWebDatabase.fileName (self)

Returns the file name of the web database.

The name can be used to access the database through the QtSql database module, for example:

     QWebDatabase webdb = ...
     QSqlDatabase sqldb = QSqlDatabase.addDatabase("QSQLITE", "myconnection");
     sqldb.setDatabaseName(webdb.fileName());
     if (sqldb.open()) {
         QStringList tables = sqldb.tables();
         ...
     }

Note: Concurrent access to a database from multiple threads or processes is not very efficient because Sqlite is used as WebKit's database backend.

### QString QWebDatabase.name (self)

Returns the name of the database.

### QWebSecurityOrigin QWebDatabase.origin (self)

Returns the databases's security origin.

### QWebDatabase.removeDatabase (QWebDatabase db)

Removes the database, db, from its security origin. All data stored in this database will be destroyed.

### long QWebDatabase.size (self)

Returns the current size of the database in bytes.